Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Codecs problem

  1. #1

    Question Codecs problem

    Ok I have couple of problems, I just started using OpenSuse and I have couple of problems.

    1. Codecs problems, I can't play most of the video formats and none has audio nor I can play mp3, I installed all codecs available plus VLC player, SMPlayer and one other but no luck. This is what VLC says:




    2. I'm trying to run ruby script but it says "
    Code:
    Ruby >= 2.1.8 required to run wpscan (You have 2.1.2)
    " when I make zypper install ruby it says newest version is installed and gives me 2.1.2 as newest.

    3. I want to install screenlets when I try it says you need python-gnome-desktop but I can't find this package anywhere
    4. How can I add repositories for example from Kali to OpenSuse(if it's possible) I've searched but I couldn't find anything.
    5. I want to install foxitreader through terminal but when I try it says:
    Code:
    linux-euv6:/home/c0dered # ./FoxitReader.enu.setup.1.1.0.0225(r205262).x64.run
    bash: syntax error near unexpected token `r205262'

    Thanks

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,742

    Default Re: Codecs problem

    Best to put one problem per thread otherwise it gets confusing

    I'll address codecs

    All proprietary codecs come from packman. OpenSUSE is open only after all

    So in Yast -Repository manager you will need to add the community repo known as packman. Then need to switch all multimedia stuff to that repos. Easy way is via zypper. get a list of your repos.

    zypper lr -d

    note the number of the packman repo say it is #

    then
    zypper dup --from #


    Note ruby may be a problem since Yast is now written in Ruby and installing a newer version may be a problem. Someone may have a way but I don't know it and you do not want to directly replace the version of Ruby that comes with the system because that will break Yast

    Adding repos from other distros could be a problem since they may or may not use RPM and use the same conventions. In essence you do not want to do that.

    No clue about foxit

  3. #3

    Default Re: Codecs problem

    Thanks for the reply, I didn't want to open 6 threads at start. Anyone clue about foxit and screenlets?

  4. #4
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Codecs problem

    #1 for propitiatory codecs openSUSE needs the packman repo so do as gogalthorp said, or list your current repo's
    Code:
    zypper lr -d
    #2 at the moment the stable available version of Ruby for LEAP is 2.1
    https://software.opensuse.org/package/ruby
    but you can get a newer version from one of the user repo's
    2.2.4 is available from home:/digitaltomm
    as 2.2 has landed in TumbleWeed LEAP will probably get an update soon
    #3 about python-gnomedesktop
    https://software.opensuse.org/packag...n-gnomedesktop
    seams to be missing from the LEAP OSS repo this could be a bugzilla moment
    https://bugzilla.opensuse.org/
    report that python-gnomedesktop is missing for LEAP but it's available for 13.1 13.2 and TW
    in the meantime you can get it from the Gnome:Factory repo
    just add that repo and zypper or yast will be able to find it
    Code:
    zypper ar -f http://download.opensuse.org/repositories/GNOME:/Factory/openSUSE_Leap_42.1/GNOME:Factory.repo
    #4 Kali is a Debian based and uses the deb packages, you can convert some deb packages to rpm with alien
    https://software.opensuse.org/package/alien
    it's not in the main OSS repo but you can install it from the utilities repo
    Code:
    zypper in http://download.opensuse.org/repositories/utilities/openSUSE_Leap_42.1/x86_64/alien-8.88-3.1.x86_64.rpm
    alien can convert deb's to rpm's but it's better to search for a particular package from an openSUSE repository then to use a binary for another distribution, if you need a package search here
    https://software.opensuse.org/find
    #5 I think it's a problem with the filename rename the installer to FoxitReader.enu.setup.1.1.0.0225.r205262.x64.run (remove the brackets) and try again


  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,124

    Default Re: Codecs problem

    Quote Originally Posted by c0dered View Post
    Thanks for the reply, I didn't want to open 6 threads at start. Anyone clue about foxit and screenlets?
    I do not think that fruitful.
    You have a problem and must advertize to draw the attention of people who think that they can help you in that subject. When you do not have a title that lures them into opening the thread, you will have not the best support the forums can offer.

    In any case, do not mix several problems in one thread.. The result will be a mess, where many people will not know what answer is to what problem. Many people will simply skip such a thread because they don't lik to have to wade through such a rubbish and search for the tiny bits that belong to the subject they want to help with.
    Henk van Velden

  6. #6

    Default Re: Codecs problem

    Quote Originally Posted by hcvv View Post
    I do not think that fruitful.
    You have a problem and must advertize to draw the attention of people who think that they can help you in that subject. When you do not have a title that lures them into opening the thread, you will have not the best support the forums can offer.

    In any case, do not mix several problems in one thread.. The result will be a mess, where many people will not know what answer is to what problem. Many people will simply skip such a thread because they don't lik to have to wade through such a rubbish and search for the tiny bits that belong to the subject they want to help with.
    ok boss

    Thanks for the answers solved everything

  7. #7
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Codecs problem

    It's good that you fixed your issues.
    This is a fun loving place if you have any issues you can ask and someone will help you

    ps.
    Did you add packman?
    you need to do a full vendor change to make sure all multimedia comes from there.
    As you didn't post your repo list I won't make comments about how to add it and do a vendor change with packmen

  8. #8

    Default Re: Codecs problem

    Quote Originally Posted by I_A View Post
    It's good that you fixed your issues.
    This is a fun loving place if you have any issues you can ask and someone will help you

    ps.
    Did you add packman?
    you need to do a full vendor change to make sure all multimedia comes from there.
    As you didn't post your repo list I won't make comments about how to add it and do a vendor change with packmen
    Code:
    #  | Alias                               | Name                                             | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                        | Service
    ---+-------------------------------------+--------------------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------------------------+--------
     1 | GNOME_Factory                       | Development branch of GNOME (openSUSE_Leap_42.1) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/GNOME:/Factory/openSUSE_Leap_42.1/               |        
     2 | http-download.opensuse.org-56261e65 | home:XRevan86                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/XRevan86/openSUSE_Leap_42.1/               |        
     3 | http-download.opensuse.org-76aa70d0 | X11:Utilities                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Utilities/openSUSE_Leap_42.1/               |        
     4 | http-download.opensuse.org-9815ebf0 | home:X0F                                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/X0F/openSUSE_Leap_42.1/                    |        
     5 | http-download.opensuse.org-9d47b9be | security:tools                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/security:/tools/openSUSE_Leap_42.1/              |        
     6 | http-download.opensuse.org-b53b0965 | home:alanbortu:angrysearch                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/alanbortu:/angrysearch/openSUSE_Leap_42.1/ |        
     7 | http-download.opensuse.org-bfada214 | home:dnh                                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/dnh/openSUSE_Leap_42.1/                    |        
     8 | http-download.opensuse.org-c22454b1 | Cloud:Eucalyptus                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Cloud:/Eucalyptus/openSUSE_Leap_42.1/            |        
     9 | http-download.opensuse.org-e4d95f49 | home:dddh                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/dddh/openSUSE_Leap_42.1/                   |        
    10 | http-ftp.uni-erlangen.de-e520938e   | Packman Repository                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_Leap_42.1                     |        
    11 | openSUSE-42.1-0                     | openSUSE-42.1-0                                  | Yes     | (r ) Yes  | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_DVD+_-RW_SU-208CB_R8ZX6YJD800Q93               |        
    12 | packman                             | packman                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/                         |        
    13 | repo-debug                          | openSUSE-Leap-42.1-Debug                         | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/                        |        
    14 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss                 | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/                    |        
    15 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug                  | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/oss                                    |        
    16 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss          | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                               |        
    17 | repo-non-oss                        | openSUSE-Leap-42.1-Non-Oss                       | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                          |        
    18 | repo-oss                            | openSUSE-Leap-42.1-Oss                           | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                              |        
    19 | repo-source                         | openSUSE-Leap-42.1-Source                        | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/                       |        
    20 | repo-update                         | openSUSE-Leap-42.1-Update                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                         |        
    21 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                                     |

  9. #9
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,742

    Default Re: Codecs problem

    You have 2 packman repos now 10 and 12 remove one it is redundent and not needed

  10. #10
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Codecs problem

    as gogalthorp said remove one of the packman mirrors
    Code:
    sudo zypper rr 12
    to fix multimedia do a full vendor change with packman
    Code:
    sudo zypper dup --from 10

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •